%define oname polkit-kde-agent-1

Summary:	Plasma 5 PolicyKit authentication agent
Name:		%{oname}-kf5
Version:	5.10.5
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Patch0:		polkit-kde-agent-1-5.7.2-polkit-qt5.patch
Patch1:		polkit-kde-agent-1-5.7.2-rename-translations.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5crash-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5widgetsaddons-devel
BuildRequires:	kf5windowsystem-devel
BuildRequires:	pkgconfig(polkit-qt5-1)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
Provides:	polkit-agent

%description
Plasma 5 PolicyKit authentication agent.

%files -f polkit-kde-authentication-agent-1_5.lang
%{_kde5_autostart}/polkit-kde-authentication-agent-1.desktop
%{_kde5_libexecdir}/polkit-kde-authentication-agent-1
%{_kde5_notificationsdir}/policykit1-kde.notifyrc

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1

for oldlang in po/*/*.po
do
    newlang=`echo $oldlang | sed s,\.po$,_5\.po,g`
    mv $oldlang $newlang
done

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang polkit-kde-authentication-agent-1_5


%changelog

* Wed Aug 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.5-1
- (c069fe8) New version 5.10.5

* Wed Aug 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.4-1
- (3a1976a) New version 5.10.4

* Wed Mar 22 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.4-1
- (b7d6459) New version 5.9.4

* Wed Mar 01 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.3-1
- (0e7625f) New version 5.9.3

* Thu Feb 16 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.2-1
- (7cd8ac7) New version 5.9.2

* Mon Feb 13 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.1-1
- (ca4f82c) New version 5.9.1

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-2
- (77b1986) MassBuild#1230: Increase release tag

* Fri Feb 03 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (1ddfc65) New version 5.9.0

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-2
- (06114d6) MassBuild#1211: Increase release tag

* Mon Nov 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.3-1
- (fea5eca) New version 5.8.3

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.7.2-2
- (025befd) MassBuild#1169: Increase release tag

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (2701aed) Re-diff patches
- (valerol: afbbadf) New version 5.7.2

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.5-1
- (6616d22) New version 5.6.5

* Thu Apr 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.3-1
- (dbe2957) New version 5.6.3

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-2
- (a63e61b) MassBuild#1026: Increase release tag

* Sat Apr 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.6.2-1
- (e4a176c) Update BuildRequires
- (Andrey Bondrov: 1a2e436) Re-diff polkit-qt5 patch
- (Andrey Bondrov: 1a2e436) Re-work translations domain patch
- (Andrey Bondrov: a9807e1) New version 5.6.2

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-2
- (e41f1ab) MassBuild#1001: Increase release tag

* Wed Mar 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.5-1
- (c01a913) New version 5.5.5

* Wed Jan 27 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.4-1
- (38d3c52) New version 5.5.4

* Thu Jan 07 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.3-1
- (4c889fa) New version 5.5.3

* Mon Dec 28 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.5.2-1
- (a35cc54) New version 5.5.2

* Thu Nov 19 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.3-1
- (d425064) New version 5.4.3

* Wed Oct 07 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.2-1
- (318a144) Re-diff polkit-qt5 patch
- (Andrey Bondrov: b7ed2e9) New version 5.4.2

* Tue Sep 08 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.1-1
- (02ce06f) New version 5.4.1

* Wed Aug 26 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.4.0-1
- (577a433) New version 5.4.0

* Thu Aug 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-2
- (fce7e4c) MassBuild#782: Increase release tag


